Farm Machinery Open API

Get locations

GEThttps://datastore.agribus-connect.net/v1/agricultural-machinery/devices/{device_id}/locations

Returns the location history of the specified device

Authentication

Requires a Bearer token (JWT) · Required scopes: noki.locations.read

Parameters

NameInTypeDescription
device_id *pathstringDevice ID (UUID)
sincequerystringStart time (ISO 8601)
untilquerystringEnd time (ISO 8601)
limitqueryinteger (int32)Maximum number of results
sortquerystringSort order (asc/desc)

curl example

curl -X GET 'https://datastore.agribus-connect.net/v1/agricultural-machinery/devices/{device_id}/locations' \
  -H 'Authorization: Bearer <access_token>'

Responses

200 — OK · application/json FeatureCollection

{
  "type": "FeatureCollection",
  "features": [
    {
      "type": "Feature",
      "geometry": {
        "type": "Point",
        "coordinates": [
          141.35,
          43.06,
          25
        ]
      },
      "properties": {
        "device_id": "550e8400-e29b-41d4-a716-446655440000",
        "date_time": "2026-01-10T01:23:45Z",
        "speed": 1.8,
        "heading": 92.5,
        "is_working": true,
        "work_width": 3,
        "gnss_status": "RtkFix",
        "operation_type": "Tilling"
      }
    }
  ]
}

Generated from the production OpenAPI documents as of 2026-10-27